<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateSupportEcosystemPartnersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('support_ecosystem_partners', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->biginteger('support_ecosystem_partner_catalog_id')->default(0);
            $table->boolean('is_front_show')->default(true);
            $table->text('title');
            $table->text('description');
            $table->string('website')->nullable();
            $table->text('photo')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('support_ecosystem_partners');
    }
}
